Skip to content

Reads one login in progress: its state, link and device code.

GET
/v1/m/agenttools/sign-in/{id}
curl --request GET \
--url https://example.com/v1/m/agenttools/sign-in/example \
--header 'Authorization: Bearer <token>'

Reads one login in progress: its state, link and device code.

id
required
string

Path parameter id.

A login in progress

Media type application/json
object
account_ref
string
driver
required
string
id
required
string format: uuid
message
string
state
required
string
Allowed values: starting needs_code needs_key waiting checking signed_in failed
url
string
user_code
string
Example
{
"state": "starting"
}

Bad request

Media type application/json
object
Example generated
{}

Unauthenticated

Media type application/json
object
Example generated
{}

Forbidden / step-up required

Media type application/json
object
Example generated
{}

Not found

Media type application/json
object
Example generated
{}

Conflict

Media type application/json
object
Example generated
{}

Required evidence or store unavailable

Media type application/json
object
Example generated
{}